IMAGE_REGISTRY ?= integratedcloudnative/
BUILD_VERSION ?= master

export IMAGE_NAME ?= $(IMAGE_REGISTRY)sdewan-cnf:$(BUILD_VERSION)


DOCKERARGS?=
ifdef HTTP_PROXY
	DOCKERARGS += --build-arg http_proxy=$(HTTP_PROXY)
endif
ifdef HTTPS_PROXY
	DOCKERARGS += --build-arg https_proxy=$(HTTPS_PROXY)
endif

P11_KIT_CLIENT=../../cnf-hsm/p11-kit/p11-kit-client.so

cnf: 
	if [ ! -f "$(P11_KIT_CLIENT)" ]; then  echo "please build p11-kit-client-first" && false; fi
	cp $(P11_KIT_CLIENT) ./
	docker build --no-cache -t $(IMAGE_NAME) $(DOCKERARGS) --network host -f ./Dockerfile ./

.PHONY: help
help: 
	@echo 'cnf              - build cnf image'
